Download a current-user data export report
curl --request GET \
--url https://api.leadping.ai/reports/exports/{exportId}/downloadimport requests
url = "https://api.leadping.ai/reports/exports/{exportId}/download"
response = requests.get(url)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/reports/exports/{exportId}/download");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/reports/exports/{exportId}/download")
.asString();const options = {method: 'GET'};
fetch('https://api.leadping.ai/reports/exports/{exportId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/reports/exports/{exportId}/download"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/reports/exports/{exportId}/download",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"url": "<string>"
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Gone",
"status": 410,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}UserDataExports
Download a current-user data export report
Validates an export download token and redirects to the generated file when the current-user report is ready.
GET
/
reports
/
exports
/
{exportId}
/
download
Download a current-user data export report
Path Parameters
The unique identifier of the data export to download.
Query Parameters
The short-lived download token issued for this export.
Whether to redirect to the temporary file URL. Set to false to return the URL as JSON.
Response
OK
Provides the temporary download location and expiration details for a completed Leadping user-data export.
URL for accessing the associated resource.

